Next Previous Contents

## 3.68 gotoxy

> Function

>   Move the text mode cursor to a new position.

> Header

>   `conio.h`

> Declaration

>   `void __fastcall__ gotoxy (unsigned char x, unsigned char y);`

> Description

>   The function moves the text mode cursor to the specified position. The leftmost position on the screen has the X coordinate 0, the topmost line has the Y coordinate 0.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - Invalid values for any of both coordinates (out of screen positions) may lead to undefined behaviour.
> Availability

>   cc65

> See also

>   gotox, gotoy, wherex, wherey

> Example

>   None.

Next Previous Contents